import { g as s } from "./chunks/color-system.DmbQ-PqB.js";
function a(e) {
  const r = s(e);
  return `@layer upstart-theme {
    :root {
      color-scheme: ${e.browserColorScheme};
      /* cache buster */
      --rnd: ${Date.now()};
      ${Object.entries(r).map(([o, t]) => `--${o}: ${t};`).join(`
`)}
    }
  }`;
}
export {
  a as getThemeCss
};
